/* Navbar 1 */
#navbar1 {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    display: flex;
    flex-direction: column;
    z-index: 4000;
    font-family: var(--alt-font);
    -webkit-transition: 0.5s;
    -moz-transition: 0.5s;
    -ms-transition: 0.5s;
    -o-transition: 0.5s;
    transition: 0.5s;
}
#navbar1 .nav-bar {
    width: 1300px;
    max-width: calc(100% - 40px);
    margin: 20px auto;
    display: flex;
    align-items: center;
    gap: 1.5rem;
    background-color: rgba(var(--nav-bg-color-rgb), 0.8);
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
    color: var(--nav-text-color);
    border: 1px solid rgba(var(--nav-text-color-rgb), 0.1);
    font-size: 1.1rem;
    padding: 15px 18px;
    -webkit-border-radius: 5000px;
    -moz-border-radius: 5000px;
    -ms-border-radius: 5000px;
    -o-border-radius: 5000px;
    border-radius: 5000px;
}
#navbar1 .nav-bar .nav-logo img {
    max-height: 45px;
    max-width: 150px;
}
#navbar1 .nav-bar ul {
    flex-grow: 1;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    padding: 0;
    margin: 0;
    list-style: none;
    gap: 1rem;
    padding: 0;
}
#navbar1 .nav-bar ul li {
    font-size: 1rem;
    font-weight: 600;
}
#navbar1 .nav-bar ul li:has(.nav-contact) {
    flex-grow: 1;
    display: flex;
    align-items: center;
    justify-content: end;
}
#navbar1 .nav-bar ul li .nav-contact {
    display: block;
    font-size: 1rem;
    font-weight: 700;
    color: var(--page-bg-color);
    background-color: var(--primary-color);
    padding: 10px 25px;
    border: 0;
    -webkit-border-radius: 5000px;
    -moz-border-radius: 5000px;
    -ms-border-radius: 5000px;
    -o-border-radius: 5000px;
    border-radius: 5000px;
}
#navbar1 .nav-bar ul li .nav-contact:hover {
    background-color: var(--primary-hover-color);
    color: var(--page-bg-color);
}
#navbar1 .nav-bar ul li a {
    position: relative;
    z-index: +1;
    padding: 0.5rem 0.5rem;
    color: var(--nav-text-color);
    border-radius: var(--br-def);
    -webkit-border-radius: var(--br-def);
    -moz-border-radius: var(--br-def);
    -ms-border-radius: var(--br-def);
    -o-border-radius: var(--br-def);
}
#navbar1 .nav-bar ul li a:hover {
    color: var(--nav-text-hover-color);
}
#navbar1 .nav-bar ul li a.active {
    color: var(--nav-text-hover-color);
}
#navbar1 .nav-bar ul li a.active:hover {
    color: rgba(var(--nav-text-hover-color-rgb), 0.7);
}
#navbar1 .nav-bar .dropdown {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    flex-wrap: wrap;
}
#navbar1 .nav-bar .dropdown span.links-holder {
    position: absolute;
    top: 0;
    padding-top: 4.3rem;
    pointer-events: none;
    display: flex;
    justify-content: center;
    opacity: 0;
    transition: var(--transition-def);
    -webkit-transition: var(--transition-def);
    -moz-transition: var(--transition-def);
    -ms-transition: var(--transition-def);
    -o-transition: var(--transition-def);
    filter: drop-shadow(1px 2px 3px #00000010);
    -webkit-filter: drop-shadow(1px 2px 3px #00000010);
}
#navbar1 .nav-bar .dropdown span.links-holder .fa-caret-up {
    position: absolute;
    left: 0;
    right: 0;
    top: 3.2rem;
    text-align: center;
    pointer-events: none;
    font-size: 2.5rem;
    color: var(--nav-bg-color);
}
#navbar1 .nav-bar .dropdown span.links-holder:hover {
    pointer-events: all;
    opacity: 1;
}
#navbar1 .nav-bar .dropdown span.links-holder.active {
    pointer-events: all;
    opacity: 1;
}
#navbar1 .nav-bar .dropdown span.links {
    display: flex;
    flex-wrap: wrap;
    text-wrap: nowrap;
    background-color: var(--nav-bg-color);
    border-radius: var(--br-def);
    -webkit-border-radius: var(--br-def);
    -moz-border-radius: var(--br-def);
    -ms-border-radius: var(--br-def);
    -o-border-radius: var(--br-def);
    padding: 0.5rem;
    gap: 0.5rem;
}
#navbar1 .nav-bar .dropdown span.links a {
    background-color: rgba(var(--primary-color-rgb), 0) !important;
    font-size: 1.1rem !important;
    font-weight: 400 !important;
    border: 2px solid rgba(var(--nav-text-color-rgb), 0);
    color: rgba(var(--nav-text-color-rgb), 1) !important;
    border-radius: var(--br-def2) !important;
    -webkit-border-radius: var(--br-def2) !important;
    -moz-border-radius: var(--br-def2) !important;
    -ms-border-radius: var(--br-def2) !important;
    -o-border-radius: var(--br-def2) !important;
    padding: 0.25rem !important;
    width: 15rem;
    text-align: center;
    text-wrap: nowrap;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-grow: 1;
}
#navbar1 .nav-bar .dropdown span.links a:hover {
    background-color: rgba(var(--nav-text-hover-color-rgb), 0.1) !important;
    color: var(--nav-text-hover-color) !important;
}
#navbar1 .nav-bar .dropdown span.links a i {
    background-color: rgba(var(--nav-text-hover-color-rgb), 0.1);
    color: var(--nav-text-hover-color);
    display: flex;
    align-items: center;
    justify-content: center;
    width: 3rem;
    height: 3rem;
    border-radius: var(--br-def2);
    -webkit-border-radius: var(--br-def2);
    -moz-border-radius: var(--br-def2);
    -ms-border-radius: var(--br-def2);
    -o-border-radius: var(--br-def2);
    margin-right: 0.75rem;
    transition: var(--transition-def);
    -webkit-transition: var(--transition-def);
    -moz-transition: var(--transition-def);
    -ms-transition: var(--transition-def);
    -o-transition: var(--transition-def);
}
#navbar1 .nav-bar .dropdown span.links a:hover i {
    background-color: rgba(var(--nav-text-hover-color-rgb), 1);
    color: var(--nav-bg-color);
}
#expandNav {
    display: none;
    background-color: transparent;
    font-size: 1.2rem;
    border: 0;
    outline: 0;
    width: 100%;
    height: 100%;
    color: var(--nav-text-color);
    transition: var(--transition-def);
    -webkit-transition: var(--transition-def);
    -moz-transition: var(--transition-def);
    -ms-transition: var(--transition-def);
    -o-transition: var(--transition-def);
}
#expandNav:hover {
    color: var(--nav-text-hover-color);
}
/* Navbar 2 */
#navbar2 {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    display: flex;
    flex-direction: column;
    z-index: 4000;
}
#navbar2 .nav-bar {
    font-family: var(--alt-font);
    width: var(--container-width-wide);
    background-color: rgba(var(--nav-bg-color-rgb), 0.8);
    border: 1px solid rgba(var(--nav-text-color-rgb), 0.1);
    color: var(--nav-text-color);
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
    display: flex;
    align-items: center;
    margin: 1rem auto;
    margin-bottom: 0;
    height: 5rem;
    gap: 1rem;
    border-radius: var(--br-def);
    -webkit-border-radius: var(--br-def);
    -moz-border-radius: var(--br-def);
    -ms-border-radius: var(--br-def);
    -o-border-radius: var(--br-def);
}
#navbar2 .nav-bar .nav-left {
    padding: 10px 15px 10px 25px;
    width: 190px;
}
#navbar2 .nav-bar .nav-left img {
    max-width: 100%;
}
#navbar2 .nav-bar .nav-middle {
    flex-grow: 1;
    text-align: center;
    height: 100%;
    height: 5rem;
}
#navbar2 .nav-bar .nav-middle ul {
    flex-grow: 1;
    display: flex;
    justify-content: start;
    flex-wrap: wrap;
    padding: 0;
    margin: 0;
    list-style: none;
}
#navbar2 .nav-bar .nav-middle ul li {
    font-size: 1rem;
    font-weight: 600;
    height: 100%;
}
#navbar2 .nav-bar .nav-middle ul li:has(button) {
    flex-grow: 1;
    display: flex;
    align-items: center;
    justify-content: end;
}
#navbar2 .nav-bar .nav-middle ul li a {
    position: relative;
    z-index: +1;
    height: 5rem;
    padding: 15px 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--nav-text-color);
}
#navbar2 .nav-bar .nav-middle ul li a:hover {
    color: var(--nav-text-hover-color);
}
#navbar2 .nav-bar .nav-middle ul li a.active {
    color: var(--nav-text-hover-color);
}
#navbar2 .nav-bar .nav-middle ul li a.active:hover {
    color: rgba(var(--nav-text-hover-color-rgb), 0.7);
}
#navbar2 .nav-bar .nav-right {
    width: auto;
    text-align: end;
    display: flex;
    align-items: center;
    justify-content: end;
    padding: 5px 25px;
    height: 5rem;
}
#navbar2 .nav-bar .nav-middle button {
    position: relative;
    z-index: +1;
    font-size: 1rem;
    font-weight: 600;
    color: rgb(31, 31, 31);
    background-color: var(--primary-color);
    padding: 10px 20px;
    border: 0;
    -webkit-border-radius: var(--br-def2);
    -moz-border-radius: var(--br-def2);
    -ms-border-radius: var(--br-def2);
    -o-border-radius: var(--br-def2);
    border-radius: var(--br-def2);
}
#navbar2 .nav-bar .nav-middle button:hover {
    background-color: var(--secondary-color);
}
#navbar2 .nav-bar .dropdown {
    position: unset;
}
#navbar2 .nav-bar .dropdown span.links-holder {
    position: absolute;
    top: 1rem;
    left: 1rem;
    right: 1rem;
    pointer-events: none;
    z-index: -1;
    opacity: 0;
    transition: var(--transition-def);
    -webkit-transition: var(--transition-def);
    -moz-transition: var(--transition-def);
    -ms-transition: var(--transition-def);
    -o-transition: var(--transition-def);
}
#navbar2 .nav-bar .dropdown span.links-holder:hover {
    padding-top: calc(var(--nav-height) - 1rem - var(--br-def));
    pointer-events: all;
    opacity: 1;
}
#navbar2 .nav-bar .dropdown span.links-holder.active {
    padding-top: calc(var(--nav-height) - 1rem - var(--br-def));
    pointer-events: all;
    opacity: 1;
}
#navbar2 .nav-bar .dropdown span.links {
    display: flex;
    flex-wrap: wrap;
    text-wrap: nowrap;
    background-color: var(--nav-text-hover-color);
    border-radius: 0 0 var(--br-def) var(--br-def);
    -webkit-border-radius: 0 0 var(--br-def) var(--br-def);
    -moz-border-radius: 0 0 var(--br-def) var(--br-def);
    -ms-border-radius: 0 0 var(--br-def) var(--br-def);
    -o-border-radius: 0 0 var(--br-def) var(--br-def);
    padding: 0.5rem;
    gap: 0.5rem;
}
#navbar2 .nav-bar .dropdown span.links a {
    background-color: rgba(var(--primary-color-rgb), 0) !important;
    font-size: 1.3rem !important;
    font-weight: 600 !important;
    border: 2px solid rgba(var(--nav-bg-color-rgb), 0);
    color: rgba(var(--nav-bg-color-rgb), 0.8) !important;
    border-radius: var(--br-def2) !important;
    -webkit-border-radius: var(--br-def2) !important;
    -moz-border-radius: var(--br-def2) !important;
    -ms-border-radius: var(--br-def2) !important;
    -o-border-radius: var(--br-def2) !important;
    padding: 0.25rem 0.5rem 0.25rem 0.25rem !important;
    text-align: start;
    text-wrap: nowrap;
    display: flex;
    align-items: center;
    height: unset;
    margin-top: 0.5rem;
}
#navbar2 .nav-bar .dropdown span.links a:hover {
    background-color: rgba(var(--nav-bg-color-rgb), 0.1) !important;
    color: rgba(var(--nav-bg-color-rgb), 1) !important;
}
#navbar2 .nav-bar .dropdown span.links a i {
    background-color: rgba(var(--nav-bg-color-rgb), 0.1);
    color: rgba(var(--nav-bg-color-rgb), 0.8);
    display: flex;
    align-items: center;
    justify-content: center;
    width: 3rem;
    height: 3rem;
    border-radius: var(--br-def2);
    -webkit-border-radius: var(--br-def2);
    -moz-border-radius: var(--br-def2);
    -ms-border-radius: var(--br-def2);
    -o-border-radius: var(--br-def2);
    margin-right: 0.75rem;
    transition: var(--transition-def);
    -webkit-transition: var(--transition-def);
    -moz-transition: var(--transition-def);
    -ms-transition: var(--transition-def);
    -o-transition: var(--transition-def);
}
#navbar2 .nav-bar .dropdown span.links a:hover i {
    background-color: rgba(var(--nav-bg-color-rgb), 1);
    color: rgba(var(--nav-text-hover-color-rgb), 1);
}
#navbar2 .nav-bar .nav-right {
    display: none;
}
#navbar2 .nav-bar .nav-right button {
    background-color: transparent;
    border: none;
    outline: none;
    position: relative;
    padding: 0;
    height: 40px;
    width: 40px;
}
#navbar2 .nav-bar .nav-right button span:nth-child(1),
#navbar2 .nav-bar .nav-right button span:nth-child(2),
#navbar2 .nav-bar .nav-right button span:nth-child(3) {
    display: block;
    width: 100%;
    height: 2px;
    background-color: var(--nav-text-color);
    position: absolute;
    left: 0;
    right: 0;
    transition: all 0.3s ease-in-out;    
}
#navbar2 .nav-bar .nav-right button span:nth-child(1) {
    top: 8px;
}
#navbar2 .nav-bar .nav-right button span:nth-child(2) {
    top: 18px;
}
#navbar2 .nav-bar .nav-right button span:nth-child(3) {
    top: 28px;
}
#navbar2 .nav-bar .nav-right button.active span:nth-child(1) {
    transform: rotate(45deg);
    top: 18px;
}
#navbar2 .nav-bar .nav-right button.active span:nth-child(2) {
    opacity: 0;
}
#navbar2 .nav-bar .nav-right button.active span:nth-child(3) {
    transform: rotate(-45deg);
    top: 18px;
}
@media (max-width: 950px) {
    #navbar2 .nav-bar {
        justify-content: space-between;
    }
    #navbar2 .nav-bar .nav-right {
        display: flex;
        align-items: center;
        justify-content: end;
        height: var(--nav-height);
    }
    #navbar2 .nav-bar {
        width: 100%;
        margin: 0;
        border: 0;
        background-color: var(--nav-bg-color);
        border-bottom: 1px solid rgba(var(--nav-text-color-rgb), 0.1);
        -webkit-backdrop-filter: none;
        backdrop-filter: none;
        -webkit-border-radius: 0;
        -moz-border-radius: 0;
        -ms-border-radius: 0;
        -o-border-radius: 0;
        border-radius: 0;
    }
    #navbar2 .nav-bar .nav-middle {
        opacity: 0;
        visibility: hidden;
        pointer-events: none;
        position: absolute;
        top: var(--nav-height);
        height: calc((var(--vh, 1vh) * 100) - var(--nav-height));
        width: 100%;
        background-color: var(--nav-bg-color);
        flex-wrap: wrap;
        justify-content: unset;
        -webkit-transition: 0.2s;
        -moz-transition: 0.2s;
        -ms-transition: 0.2s;
        -o-transition: 0.2s;
        transition: 0.2s;
}
    #navbar2 .nav-bar .nav-middle.active {
        opacity: 1;
        visibility: visible;
        pointer-events: all;
    }
    #navbar2 .nav-bar .nav-middle ul {
        justify-content: center;
        flex-direction: column;
        align-items: center;
        width: 100%;
        height: 100%;
    }
    #navbar2 .nav-bar .nav-middle ul li {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-grow: 1;
        width: 100%;
        height: unset;
        text-align: center;
        background-color: rgba(var(--nav-text-color-rgb), 0.1);
        border-bottom: 1px solid var(--nav-bg-color);
    }
    #navbar2 .nav-bar .nav-middle ul li a {
        height: 100%;
        width: 100%;
    }
    #navbar2 .nav-bar .nav-middle ul li:has(button) a {
        padding: 0;
        width: 100%;
    }
    #navbar2 .nav-bar .nav-middle ul li:has(button) button {
        width: 100%;
        height: 100%;
        background-color: rgba(var(--nav-text-color-rgb), 0);
        -webkit-border-radius: 0;
        -moz-border-radius: 0;
        -ms-border-radius: 0;
        -o-border-radius: 0;
        border-radius: 0;
    }
}


/* Navbar 3 */
#navbar3 {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    display: flex;
    flex-direction: column;
    z-index: 4000;
}
#navbar3 .nav-bar {
    --set-height: 5rem;
    background-color: rgba(var(--nav-text-color-rgb), 1);
    border-bottom: 1px solid rgba(var(--nav-text-color-rgb), 1);
    color: var(--nav-text-color);
    display: flex;
    align-items: center;
    gap: 1px;
}
#navbar3 .nav-bar .nav-left {
    height: var(--set-height);
    width: auto;
    background-color: var(--nav-bg-color);
    padding: 0.5rem 0.5rem 0.5rem var(--gutter-width);
}
#navbar3 .nav-bar .nav-left img {
    max-width: 5rem;
    max-height: 100%;
}
#navbar3 .nav-bar .nav-middle {
    height: var(--set-height);
    flex-grow: 1;
    text-align: end;
    background-color: var(--nav-bg-color);
}
#navbar3 .nav-bar .nav-middle ul {
    height: var(--set-height);
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    margin: 0;
    list-style: none;
    padding: 0;
}
#navbar3 .nav-bar .nav-middle ul li {
    font-size: 1.1rem;
    font-weight: 500;
    height: 100%;
}
#navbar3 .nav-bar .nav-middle ul li a {
    z-index: +1;
    padding: 0.75rem 1rem;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    color: var(--nav-text-color);
    background-color: var(--nav-bg-color);
}
#navbar3 .nav-bar .nav-middle ul li a:hover {
    color: var(--nav-text-hover-color);
    background-color: var(--nav-bg-hover-color);
}
#navbar3 .nav-bar .nav-middle ul li a.active {
    color: var(--nav-text-hover-color);
}
#navbar3 .nav-bar .nav-middle ul li a.active:hover {
    color: rgba(var(--nav-text-hover-color-rgb), 0.7);
}
#navbar3 .nav-bar .nav-right {
    height: var(--set-height);
    background-color: var(--nav-bg-color);
    width: auto;
}
#navbar3 .nav-bar .nav-right button {
    height: 100%;
    position: relative;
    z-index: +1;
    font-size: 1.1rem;
    font-weight: 500;
    color: var(--nav-bg-color);
    background-color: var(--primary-color);
    padding: 0.75rem var(--gutter-width) 0.75rem 1rem;
    border: 0;
}
#navbar3 .nav-bar .nav-right button:hover {
    background-color: var(--primary-hover-color);
}
#navbar3 .nav-bar .dropdown {
    position: unset;
}
#navbar3 .nav-bar .dropdown span.links-holder {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    pointer-events: none;
    z-index: -1;
    opacity: 0;
    transition: var(--transition-def);
    -webkit-transition: var(--transition-def);
    -moz-transition: var(--transition-def);
    -ms-transition: var(--transition-def);
    -o-transition: var(--transition-def);
}
#navbar3 .nav-bar .dropdown span.links-holder:hover {
    padding-top: var(--nav-height);
    pointer-events: all;
    opacity: 1;
}
#navbar3 .nav-bar .dropdown span.links-holder.active {
    padding-top: var(--nav-height);
    pointer-events: all;
    opacity: 1;
}
#navbar3 .nav-bar .dropdown span.links {
    display: flex;
    flex-wrap: wrap;
    text-wrap: nowrap;
    background-color: var(--nav-text-hover-color);
    border-bottom: 1px solid var(--nav-text-color);
    padding: 0.5rem;
}
#navbar3 .nav-bar .dropdown span.links a {
    background-color: rgba(var(--primary-color-rgb), 0) !important;
    font-size: 1.3rem !important;
    font-weight: 600 !important;
    border: 2px solid rgba(var(--nav-bg-color-rgb), 0);
    color: rgba(var(--nav-bg-color-rgb), 0.8) !important;
    border-radius: var(--br-def2) !important;
    -webkit-border-radius: var(--br-def2) !important;
    -moz-border-radius: var(--br-def2) !important;
    -ms-border-radius: var(--br-def2) !important;
    -o-border-radius: var(--br-def2) !important;
    padding: 0.25rem 0.5rem 0.25rem 0.25rem !important;
    text-align: start;
    text-wrap: nowrap;
    display: flex;
    align-items: center;
    height: unset;
}
#navbar3 .nav-bar .dropdown span.links a:hover {
    background-color: rgba(var(--nav-bg-color-rgb), 0.1) !important;
    color: rgba(var(--nav-bg-color-rgb), 1) !important;
}
#navbar3 .nav-bar .dropdown span.links a i {
    background-color: rgba(var(--nav-bg-color-rgb), 0.1);
    color: rgba(var(--nav-bg-color-rgb), 0.8);
    display: flex;
    align-items: center;
    justify-content: center;
    width: 3rem;
    height: 3rem;
    border-radius: var(--br-def2);
    -webkit-border-radius: var(--br-def2);
    -moz-border-radius: var(--br-def2);
    -ms-border-radius: var(--br-def2);
    -o-border-radius: var(--br-def2);
    margin-right: 0.75rem;
    transition: var(--transition-def);
    -webkit-transition: var(--transition-def);
    -moz-transition: var(--transition-def);
    -ms-transition: var(--transition-def);
    -o-transition: var(--transition-def);
}
#navbar3 .nav-bar .dropdown span.links a:hover i {
    background-color: rgba(var(--nav-bg-color-rgb), 1);
    color: rgba(var(--nav-text-hover-color-rgb), 1);
}

/* Navbar 4 */
#navbar4 {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    display: flex;
    flex-direction: column;
    z-index: 4000;
}
#navbar4 .nav-bar {
    background-color: rgba(var(--nav-bg-color-rgb), 0);
    color: var(--nav-text-color);
    display: flex;
    align-items: center;
    gap: 1rem;
    padding: 1.5rem var(--gutter-width);
    padding-bottom: 0.5rem;
}
#navbar4 .nav-bar .nav-left {
    width: auto;
}
#navbar4 .nav-bar .nav-left img {
    max-height: 5rem;
}
#navbar4 .nav-bar .nav-middle {
    flex-grow: 1;
    text-align: end;
}
#navbar4 .nav-bar .nav-middle ul {
    display: flex;
    justify-content: end;
    flex-wrap: wrap;
    padding: 0;
    margin: 0;
    list-style: none;
    gap: 1rem;
}
#navbar4 .nav-bar .nav-middle ul li {
    font-size: 1.1rem;
    font-weight: 500;
}
#navbar4 .nav-bar .nav-middle ul li a {
    position: relative;
    z-index: +1;
    padding: 0.75rem 1rem;
    color: var(--nav-text-color);
    border-radius: var(--br-def);
    -webkit-border-radius: var(--br-def);
    -moz-border-radius: var(--br-def);
    -ms-border-radius: var(--br-def);
    -o-border-radius: var(--br-def);
}
#navbar4 .nav-bar .nav-middle ul li a:hover {
    color: var(--nav-text-hover-color);
    background-color: var(--nav-bg-hover-color);
}
#navbar4 .nav-bar .nav-middle ul li a.active {
    color: var(--nav-text-hover-color);
}
#navbar4 .nav-bar .nav-middle ul li a.active:hover {
    color: rgba(var(--nav-text-hover-color-rgb), 0.7);
}
#navbar4 .nav-bar .nav-right {
    width: auto;
}
#navbar4 .nav-bar .nav-right button {
    position: relative;
    z-index: +1;
    font-size: 1.1rem;
    font-weight: 500;
    color: var(--nav-bg-color);
    background-color: var(--primary-color);
    padding: 0.75rem 1rem;
    border: 0;
    border-radius: var(--br-def);
    -webkit-border-radius: var(--br-def);
    -moz-border-radius: var(--br-def);
    -ms-border-radius: var(--br-def);
    -o-border-radius: var(--br-def);
}
#navbar4 .nav-bar .nav-right button:hover {
    background-color: var(--primary-hover-color);
}
#navbar4 .nav-bar .dropdown {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    flex-wrap: wrap;
}
#navbar4 .nav-bar .dropdown span.links-holder {
    position: absolute;
    top: 0;
    padding-top: 4.3rem;
    pointer-events: none;
    display: flex;
    justify-content: center;
    opacity: 0;
    transition: var(--transition-def);
    -webkit-transition: var(--transition-def);
    -moz-transition: var(--transition-def);
    -ms-transition: var(--transition-def);
    -o-transition: var(--transition-def);
    filter: drop-shadow(1px 2px 3px #00000010);
    -webkit-filter: drop-shadow(1px 2px 3px #00000010);
}
#navbar4 .nav-bar .dropdown span.links-holder .fa-caret-up {
    position: absolute;
    left: 0;
    right: 0;
    top: 2.75rem;
    text-align: center;
    pointer-events: none;
    font-size: 3rem;
    color: var(--nav-bg-color);
}
#navbar4 .nav-bar .dropdown span.links-holder:hover {
    pointer-events: all;
    opacity: 1;
}
#navbar4 .nav-bar .dropdown span.links-holder.active {
    pointer-events: all;
    opacity: 1;
}
#navbar4 .nav-bar .dropdown span.links {
    display: flex;
    flex-wrap: wrap;
    text-wrap: nowrap;
    background-color: var(--nav-bg-color);
    border-radius: var(--br-def);
    -webkit-border-radius: var(--br-def);
    -moz-border-radius: var(--br-def);
    -ms-border-radius: var(--br-def);
    -o-border-radius: var(--br-def);
    padding: 0.5rem;
    gap: 0.5rem;
}
#navbar4 .nav-bar .dropdown span.links a {
    background-color: rgba(var(--primary-color-rgb), 0) !important;
    font-size: 1.3rem !important;
    font-weight: 600 !important;
    border: 2px solid rgba(var(--nav-text-color-rgb), 0);
    color: rgba(var(--nav-text-color-rgb), 0.6) !important;
    border-radius: var(--br-def2) !important;
    -webkit-border-radius: var(--br-def2) !important;
    -moz-border-radius: var(--br-def2) !important;
    -ms-border-radius: var(--br-def2) !important;
    -o-border-radius: var(--br-def2) !important;
    padding: 0.25rem !important;
    width: 15rem;
    text-align: start;
    text-wrap: nowrap;
    display: flex;
    align-items: center;
    flex-grow: 1;
}
#navbar4 .nav-bar .dropdown span.links a:hover {
    background-color: rgba(var(--nav-text-hover-color-rgb), 0.1) !important;
    color: var(--nav-text-hover-color) !important;
}
#navbar4 .nav-bar .dropdown span.links a i {
    background-color: rgba(var(--nav-text-hover-color-rgb), 0.1);
    color: var(--nav-text-hover-color);
    display: flex;
    align-items: center;
    justify-content: center;
    width: 3rem;
    height: 3rem;
    border-radius: var(--br-def2);
    -webkit-border-radius: var(--br-def2);
    -moz-border-radius: var(--br-def2);
    -ms-border-radius: var(--br-def2);
    -o-border-radius: var(--br-def2);
    margin-right: 0.75rem;
    transition: var(--transition-def);
    -webkit-transition: var(--transition-def);
    -moz-transition: var(--transition-def);
    -ms-transition: var(--transition-def);
    -o-transition: var(--transition-def);
}
#navbar4 .nav-bar .dropdown span.links a:hover i {
    background-color: rgba(var(--nav-text-hover-color-rgb), 1);
    color: var(--nav-bg-color);
}